HtmlEffect (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlEffect class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlEffect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIEffect
                  org.richfaces.component.html.HtmlEffect

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxSupport

    public class HtmlEffect

extends UIEffect

Component-Type org.richfaces.Effect Component-Family org.richfaces.Effect Renderer-Type org.richfaces.EffectRenderer It presents the google map in JSF applications

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlEffect()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getEvent()` Event on the component or html tag the effect is attached to Getter for event
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFor()` Id of the target component.
`java.lang.String` | `getName()` Generated Javascript name.
`java.lang.String` | `getParams()` Parameters passed to the effect function.
`java.lang.String` | `getTargetId()` The id of the element the effect apply to.
`java.lang.String` | `getType()` Defines the type of effect.
`boolean` | `isDisableDefault()` Disable default action for target event ( append "return false;" to javascript ) Getter for disableDefault
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDisableDefault(boolean __disableDefault)` Disable default action for target event ( append "return false;" to javascript ) Setter for disableDefault
`void` | `setEvent(java.lang.String __event)` Event on the component or html tag the effect is attached to Setter for event
`void` | `setFor(java.lang.String __for)` Id of the target component.
`void` | `setName(java.lang.String __name)` Generated Javascript name.
`void` | `setParams(java.lang.String __params)` Parameters passed to the effect function.
`void` | `setTargetId(java.lang.String __targetId)` The id of the element the effect apply to.
`void` | `setType(java.lang.String __type)` Defines the type of effect.

Methods inherited from class org.richfaces.component.UIEffect
`getEventString, setParent, setParentProperties`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlEffect

    public HtmlEffect()

  Constructor to init default renderers

Method Detail

### setType

    public void setType(java.lang.String __type)

  Defines the type of effect. Possible values: "Fade", "Blind", "Opacity". Setter for type

  Specified by:
    `setType` in class `UIEffect`
  Parameters:
    `type` - - new value

### getType

    public java.lang.String getType()

  Defines the type of effect. Possible values: "Fade", "Blind", "Opacity". Getter for type

  Specified by:
    `getType` in class `UIEffect`
  Returns:
    type value from local variable or value bindings

### setDisableDefault

    public void setDisableDefault(boolean __disableDefault)

  Disable default action for target event ( append "return false;" to javascript ) Setter for disableDefault

  Parameters:
    `disableDefault` - - new value

### isDisableDefault

    public boolean isDisableDefault()

  Disable default action for target event ( append "return false;" to javascript ) Getter for disableDefault

  Returns:
    disableDefault value from local variable or value bindings

### setTargetId

    public void setTargetId(java.lang.String __targetId)

  The id of the element the effect apply to. Might be component id or client id of jsf component or html tag. If targetId is not defined the value of the attribute 'for' or the 'targetId' option effect play its role Setter for targetId

  Specified by:
    `setTargetId` in class `UIEffect`
  Parameters:
    `targetId` - - new value

### getTargetId

    public java.lang.String getTargetId()

  The id of the element the effect apply to. Might be component id or client id of jsf component or html tag. If targetId is not defined the value of the attribute 'for' or the 'targetId' option effect play its role Getter for targetId

  Specified by:
    `getTargetId` in class `UIEffect`
  Returns:
    targetId value from local variable or value bindings

### setParams

    public void setParams(java.lang.String __params)

  Parameters passed to the effect function. Example params="{duration:0.2,from:1.0,to:0.1}" Setter for params

  Specified by:
    `setParams` in class `UIEffect`
  Parameters:
    `params` - - new value

### getParams

    public java.lang.String getParams()

  Parameters passed to the effect function. Example params="{duration:0.2,from:1.0,to:0.1}" Getter for params

  Specified by:
    `getParams` in class `UIEffect`
  Returns:
    params value from local variable or value bindings

### setEvent

    public void setEvent(java.lang.String __event)

  Event on the component or html tag the effect is attached to Setter for event

  Specified by:
    `setEvent` in interface `org.ajax4jsf.component.AjaxSupport`
  Specified by:
    `setEvent` in class `UIEffect`
  Parameters:
    `event` - - new value

### getEvent

    public java.lang.String getEvent()

  Event on the component or html tag the effect is attached to Getter for event

  Specified by:
    `getEvent` in interface `org.ajax4jsf.component.AjaxSupport`
  Specified by:
    `getEvent` in class `UIEffect`
  Returns:
    event value from local variable or value bindings

### setName

    public void setName(java.lang.String __name)

  Generated Javascript name. Setter for name

  Parameters:
    `name` - - new value

### getName

    public java.lang.String getName()

  Generated Javascript name. Getter for name

  Returns:
    name value from local variable or value bindings

### setFor

    public void setFor(java.lang.String __for)

  Id of the target component. Setter for for

  Specified by:
    `setFor` in class `UIEffect`
  Parameters:
    `for` - - new value

### getFor

    public java.lang.String getFor()

  Id of the target component. Getter for for

  Specified by:
    `getFor` in class `UIEffect`
  Returns:
    for value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.